Summary: 	A realtime effect processor
Name: 		ecamegapedal
Version:	0.4.4
Release:	%mkrel 11
Group:		Sound
License:	GPL
URL: 		http://www.eca.cx/ecamegapedal/
Source0: 	http://ecasound.seul.org/download/%{name}-%{version}.tar.bz2
Patch0:		02_gcc4.3.dpatch
Requires: 	jackit ecasound >= 2.2.0 
BuildRequires:	audiofile-devel
BuildRequires:	chrpath
BuildRequires:	jackit-devel
BuildRequires:	libalsa-devel
BuildRequires:	libecasound-devel
BuildRequires:	qt3-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Ecamegapedal is a realtime effect processor built on top 
of ecasound and Qt packages. It's meant to be used as 
a virtual guitar-fx or studio effect box. In addition to 
realtime operation, ecamegapedal also supports reading from
and writing to audio files. All audio file formats and effect 
algorithms provided by the ecasound libraries are supported. 
This includes JACK, ALSA, OSS, aRts, over 20 file formats, 
over 30 effect types, LADSPA plugins and multi-operator effect 
presets.

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1

%build

%configure2_5x \
    --with-qt-dir=%{qt3dir} \
    --with-qt-includes=%{qt3include} \
    --with-qt-libraries=%{qt3lib} \
    --with-jack=%{_prefix} \
    --disable-static

make qt_libname=qt-mt

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=EcaMegaPedal
Comment=Realtime audio effects
Exec=%{_bindir}/%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=AudioVideo;Audio;
EOF

# nuke rpath
chrpath -d %{buildroot}%{_bindir}/%{name}

%if %mdkversion < 200900
%post
%update_menus
%endif
		
%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc NEWS COPYING README INSTALL
%doc Documentation/ecamegapedal_manpage.html
%{_mandir}/man1/eca*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop


%changelog
* Thu Sep 03 2009 Thierry Vignaud <tvignaud@mandriva.com> 0.4.4-11mdv2010.0
+ Revision: 428442
- rebuild

* Thu Aug 21 2008 Oden Eriksson <oeriksson@mandriva.com> 0.4.4-10mdv2009.0
+ Revision: 274830
- added a gcc43 patch from debian
- fix url
- rebuilt against new ecasound libs

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Sun Sep 02 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.4-6mdv2008.0
+ Revision: 78282
- drop old menu

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's error: string list key "Categories" in group "Desktop Entry" does not have a semicolon (";") as trailing character
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'


* Sun Feb 25 2007 Emmanuel Andry <eandry@mandriva.org> 0.4.4-5mdv2007.0
+ Revision: 125478
- rebuild
- Import ecamegapedal

* Thu Aug 03 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.4-4mdv2007.0
- xdg menu

* Fri May 19 2006 Emmanuel Andry <eandry@mandriva.org> 0.4.4-3mdk
- rebuild for ecasound
- mkrel

* Sat Apr 02 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.4.4-2mdk
- make it compile on amd64

* Mon Apr 19 2004 Austin Acton <austin@mandrake.org> 0.4.4-1mdk
- 0.4.4

